Skip to main content
`Ctrl`+`K`

# PCHMGSetInnerPCType

Set an inner `PC` type to be used in the `PCHMG` preconditioner. That is the method used to compute the hierarchy of restriction operators.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGSetInnerPCType(PC pc, PCType type)

Logically Collective

## Input Parameters

- pc - the `PCHMG` context

- type - `PCHYPRE` or `PCGAMG` coarsening algorithm

## Options Database Key

- -hmg_inner_pc_type <hypre, gamg> - What method is used to coarsen matrix

## See Also

KSP: Linear System Solvers, `PCHMG`, `PCType`, `PCHMGSetReuseInterpolation()`, `PCHMGSetUseSubspaceCoarsening()`, `PCHMGSetCoarseningComponent()`

## Level

beginner

## Location

src/ksp/pc/impls/hmg/hmg.c

## Examples

src/ksp/ksp/tutorials/ex4.c

## Implementations

PCHMGSetInnerPCType_HMG() in src/ksp/pc/impls/hmg/hmg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages